Loading...
Searching...
No Matches
Catch::StringMaker< wchar_t * > Struct Reference

`#include <catch_amalgamated.hpp>`

## Static Public Member Functions

static std::string | convert (wchar_t *str)
static std::enable_if_t<::Catch::Detail::IsStreamInsertable< Fake >::value, std::string > | convert (const Fake &value)
static std::enable_if_t<!::Catch::Detail::IsStreamInsertable< Fake >::value, std::string > | convert (const Fake &value)

## Member Function Documentation

## convert() [1/3]

static std::enable_if_t<::Catch::Detail::IsStreamInsertable< Fake >::value, std::string > Catch::StringMaker< wchar_t *, typename >::convert | ( | const Fake & | value | ) |

inlinestatic

## convert() [2/3]

static std::enable_if_t<!::Catch::Detail::IsStreamInsertable< Fake >::value, std::string > Catch::StringMaker< wchar_t *, typename >::convert | ( | const Fake & | value | ) |

inlinestatic

## convert() [3/3]

std::string Catch::StringMaker< wchar_t * >::convert | ( | wchar_t * | str | ) |

static

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp